Bug 329441 - Please package the smbk5pwd overlay
Summary: Please package the smbk5pwd overlay
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openldap (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: CVE-2007-5708
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-12 14:55 UTC by Erik Forsberg
Modified: 2009-01-20 20:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 20:53:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0090 normal SHIPPED_LIVE openldap bug fix and enhancement update 2009-01-20 16:04:26 UTC

Description Erik Forsberg 2007-10-12 14:55:22 UTC
When deploying RHEL5 as a samba PDC with ldapsam backend, with a setup that
enables also enables use of user objects from Unix (user objects have both
sambaSamAccount and posixAccount as objectclass), the smbk5pwd overlay is of
essential value to enable seamless password changes - a password change from
samba should set the user's userPassword attribute, and a password change from
linux should set the sambaNTPassword attribute.

Please package this module as a standard overlay available without the need to
compile the module after package installation. 

See also bug 220895, which is on Fedora. I'm filing this bug on RHEL as I have
paying customers on RHEL5, requiring this functionality.

Comment 2 RHEL Product and Program Management 2007-12-03 20:46:53 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.

Comment 3 RHEL Product and Program Management 2008-06-24 12:54:25 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Jan Safranek 2008-11-05 14:39:15 UTC
A bug was found during smbk5pwd testing, slapd with this overlay enabled crashes during PASSWD operation:

slapd: symbol lookup error: /usr/lib64/openldap/smbk5pwd-2.3.so.0: undefined symbol: ldap_x_utf8s_to_wcs

Comment 12 errata-xmlrpc 2009-01-20 20:53:33 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0090.html


Note You need to log in before you can comment on or make changes to this bug.